All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::OperatingPoints Struct Reference

## Public Member Functions

int | merge_with (const OperatingPoints &other, const std::string &prefix="")
| add operating points from other to this, with a prefix to the keys
void | clear ()
bool | add (double perf, double t, const std::string &key, size_t cno=0)
| add a performance measure. Return whether it is an optimal point More...
double | t_for_perf (double perf) const
| get time required to obtain a given performance measure
void | display (bool only_optimal=true) const
| easy-to-read output
void | all_to_gnuplot (const char *fname) const
| output to a format easy to digest by gnuplot
void | optimal_to_gnuplot (const char *fname) const

## Public Attributes

std::vector< OperatingPoint > | all_pts
| all operating points
std::vector< OperatingPoint > | optimal_pts
| optimal operating points, sorted by perf

## Detailed Description

Definition at line 93 of file AutoTune.h.

## Member Function Documentation

bool faiss::OperatingPoints::add | ( | double | perf,
|  | double | t,
|  | const std::string & | key,
|  | size_t | cno = `0`
| ) |  |

add a performance measure. Return whether it is an optimal point

add a performance measure

Definition at line 112 of file AutoTune.cpp.

void faiss::OperatingPoints::clear | ( |  | ) |

default point: doing nothing gives 0 performance and takes 0 time

Definition at line 102 of file AutoTune.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/AutoTune.h
- /data/users/matthijs/github_faiss/faiss/AutoTune.cpp